\version "2.19.80"

\include "shorthands.ily"
\include "modernStyle.ily"
\include "incipits.ily"

\include "kyrieSource.ily"

\header {
  taglineB = "Biblioteca Nacional de España. Folio 47v - 50r."
}

\score {
  \header {
    piece = "Kyrie a6"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      \new Staff \with {
        instrumentName = "Soprano 1"
        midiInstrument = "violin"
        \RemoveEmptyStaves
      }
      {
        \new Voice = "SopOne"
        {
         
         \incipitKyrieATipleOne
         %same rhythmic values
          \shiftDurations #0 #0 {  \kyrieATipleOne   }

          %reduce rhythmic values by half
          %\shiftDurations #1 #0 { \autoBeamOff \Music }

        }
      }
      \new Lyrics \lyricsto "SopOne" { \kyrieATipleOneWords  }

      \new Staff \with {
        instrumentName = "Soprano 2"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitKyrieATipleTwo
          %same rhythmic values
          \shiftDurations #0 #0 {  \kyrieATipleTwo  }

        }
      }
      \new Lyrics \lyricsto SopTwo { \kyrieATipleTwoWords  }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitKyrieAAlto
          %same rhythmic values
          \shiftDurations #0 #0 { \kyrieAAlto   }

        }
      }
      \new Lyrics \lyricsto Alto { \kyrieAAltoWords  }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          
          \incipitKyrieATenor
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8" \kyrieATenor  }

        }
      }
      \new Lyrics \lyricsto Tenor { \kyrieATenorWords  }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitKyrieABaxoOne
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass \kyrieABaxoOne  }

        }
      }
      \new Lyrics \lyricsto BassOne { \kyrieABaxoOneWords }

      \new Staff \with {
        instrumentName = "Bass 2"
        midiInstrument = "cello"
        \RemoveEmptyStaves
      }
      {
        \new Voice = BassTwo
        {
          \incipitKyrieABaxoTwo
          %same rhythmic values
          \shiftDurations #0 #0 { \clef bass \kyrieABaxoTwo  }

        }
      }
      \new Lyrics \lyricsto BassTwo { \kyrieABaxoTwoWords  }
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}

\score {
  \header {
    piece = "Christe a4"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      

      \new Staff \with {
        instrumentName = "Soprano"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitChristeTiple
          %same rhythmic values
          \shiftDurations #0 #0 {   \christeTiple  }

        }
      }
      \new Lyrics \lyricsto SopTwo { \christeTipleWords  }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitChristeAlto
          %same rhythmic values
          \shiftDurations #0 #0 {  \christeAlto  }

        }
      }
      \new Lyrics \lyricsto Alto { \christeAltoWords }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          
          \incipitChristeTenor
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8" \christeTenor  }

        }
      }
      \new Lyrics \lyricsto Tenor {  \christeTenorWords  }

      \new Staff \with {
        instrumentName = "Bass"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitChristeBaxo
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass  \christeBaxo  }

        }
      }
      \new Lyrics \lyricsto BassOne {  \christeBaxoWords  }

      
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}

\score {
  \header {
    piece = "Kyrie a6"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      \new Staff \with {
        instrumentName = "Soprano 1"
        midiInstrument = "violin"
        \RemoveEmptyStaves
      }
      {
        \new Voice = "SopOne"
        {
         
         \incipitKyrieBTipleOne
         %same rhythmic values
          \shiftDurations #0 #0 {  \kyrieBTipleOne  }

          %reduce rhythmic values by half
          %\shiftDurations #1 #0 { \autoBeamOff \Music }

        }
      }
      \new Lyrics \lyricsto "SopOne" { \kyrieBTipleOneWords }

      \new Staff \with {
        instrumentName = "Soprano 2"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitKyrieBTipleTwo
          %same rhythmic values
          \shiftDurations #0 #0 {  \kyrieBTipleTwo  }

        }
      }
      \new Lyrics \lyricsto SopTwo {  \kyrieBTipleTwoWords }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitKyrieBAlto
          %same rhythmic values
          \shiftDurations #0 #0 {  \kyrieBAlto  }

        }
      }
      \new Lyrics \lyricsto Alto {  \kyrieBAltoWords }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          
          \incipitKyrieBTenor
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8"  \kyrieBTenor }

        }
      }
      \new Lyrics \lyricsto Tenor {  \kyrieBTenorWords }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitKyrieBBaxoOne
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass  \kyrieBBaxoOne }

        }
      }
      \new Lyrics \lyricsto BassOne {  \kyrieBBaxoOneWords }

      \new Staff \with {
        instrumentName = "Bass 2"
        midiInstrument = "cello"
        \RemoveEmptyStaves
      }
      {
        \new Voice = BassTwo
        {
          \incipitKyrieBBaxoTwo
          %same rhythmic values
          \shiftDurations #0 #0 { \clef bass  \kyrieBBaxoTwo }

        }
      }
      \new Lyrics \lyricsto BassTwo {  \kyrieBBaxoTwoWords }
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}



