\version "2.19.80"

\include "modernStyle.ily"
\include "incipits.ily"

\include "sanctusSource.ily"

\header {
  taglineB = "Biblioteca Nacional de España. Folio 61v - 63r."
}

\score {
  \header {
    piece = "Sanctus a6"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      \new Staff \with {
        instrumentName = "Soprano 1"
        midiInstrument = "violin"
        \RemoveEmptyStaves
      }
      {
        \new Voice = SopOne
        {
          \incipitSanctusTipleOne
          
          %same rhythmic values
          \shiftDurations #0 #0 {  \sanctusTipleOne  }

          %reduce rhythmic values by half
          %\shiftDurations #1 #0 { \autoBeamOff \Music }

        }
      }
      \new Lyrics \lyricsto SopOne { \sanctusTipleOneWords  }

      \new Staff \with {
        instrumentName = "Soprano 2"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitSanctusTipleTwo
          %same rhythmic values
          \shiftDurations #0 #0 {  \sanctusTipleTwo  }

        }
      }
      \new Lyrics \lyricsto SopTwo { \sanctusTipleTwoWords  }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitSanctusAlto
          %same rhythmic values
          \shiftDurations #0 #0 { \sanctusAlto   }

        }
      }
      \new Lyrics \lyricsto Alto { \sanctusAltoWords  }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          \incipitSanctusTenor
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8" \sanctusTenor   }

        }
      }
      \new Lyrics \lyricsto Tenor { \sanctusTenorWords  }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitSanctusBaxoOne
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass \sanctusBaxoOne  }

        }
      }
      \new Lyrics \lyricsto BassOne { \sanctusBaxoOneWords }

      \new Staff \with {
        instrumentName = "Bass 2"
        midiInstrument = "cello"
        \RemoveEmptyStaves
      }
      {
        \new Voice = BassTwo
        {
          \incipitSanctusBaxoTwo
          %same rhythmic values
          \shiftDurations #0 #0 { \clef bass \sanctusBaxoTwo  }

        }
      }
      \new Lyrics \lyricsto BassTwo \sanctusBaxoTwoWords
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}

\pageBreak

\score {
  \header {
    piece = "Osanna a6"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      \new Staff \with {
        instrumentName = "Soprano 1"
        midiInstrument = "violin"
        \RemoveEmptyStaves
      }
      {
        \new Voice = SopOne
        {
          \incipitOsannaTipleOne
          
          %same rhythmic values
          \shiftDurations #1 #0 {   \osannaTipleOne  }

          %reduce rhythmic values by half
          %\shiftDurations #1 #0 { \autoBeamOff \Music }

        }
      }
      \new Lyrics \lyricsto SopOne {  \osannaTipleOneWords }

      \new Staff \with {
        instrumentName = "Soprano 2"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitOsannaTipleTwo
          %same rhythmic values
          \shiftDurations #1 #0 {  \osannaTipleTwo  }

        }
      }
      \new Lyrics \lyricsto SopTwo {  \osannaTipleTwoWords  }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitOsannaAlto
          %same rhythmic values
          \shiftDurations #1 #0 { \osannaAlto }

        }
      }
      \new Lyrics \lyricsto Alto {  \osannaAltoWords  }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          \incipitOsannaTenor
          %same rhythmic values
          \shiftDurations #1 #0 { \clef "treble_8" \osannaTenor  }

        }
      }
      \new Lyrics \lyricsto Tenor {  \osannaTenorWords  }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitOsannaBaxoOne
          %same rhythmic values
          \shiftDurations #1 #0 {  \clef bass  \osannaBaxoOne }

        }
      }
      \new Lyrics \lyricsto BassOne {  \osannaBaxoOneWords }

      \new Staff \with {
        instrumentName = "Bass 2"
        midiInstrument = "cello"
        \RemoveEmptyStaves
      }
      {
        \new Voice = BassTwo
        {
          \incipitOsannaBaxoTwo
          %same rhythmic values
          \shiftDurations #1 #0 { \clef bass \osannaBaxoTwo }

        }
      }
      \new Lyrics \lyricsto BassTwo \osannaBaxoTwoWords
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}

\score {
  \header {
    piece = "Benedictus a4"
  }
  \keepWithTag #'mod {
    \new StaffGroup <<
      

      \new Staff \with {
        instrumentName = "Soprano"
        midiInstrument = "violin"
      }
      {
        \new Voice = SopTwo
        {
          \incipitBenedictusTiple
          %same rhythmic values
          \shiftDurations #0 #0 { \benedictusTiple  }

        }
      }
      \new Lyrics \lyricsto SopTwo {  \benedictusTipleWords }

      \new Staff \with {
        instrumentName = "Alto"
        midiInstrument = "viola"
      }
      {
        \new Voice = Alto
        {
          \incipitBenedictusAlto
          %same rhythmic values
          \shiftDurations #0 #0 {  \benedictusAlto }

        }
      }
      \new Lyrics \lyricsto Alto {  \benedictusAltoWords }

      \new Staff \with {
        instrumentName = "Tenor"
        midiInstrument = "viola"
      }
      {
        \new Voice = Tenor
        {
          \incipitBenedictusTenor
          %same rhythmic values
          \shiftDurations #0 #0 { \clef "treble_8" \benedictusTenor  }

        }
      }
      \new Lyrics \lyricsto Tenor {  \benedictusTenorWords }

      \new Staff \with {
        instrumentName = "Bass 1"
        midiInstrument = "cello"
      }
      {
        \new Voice = BassOne
        {
          \incipitBenedictusBaxo
          %same rhythmic values
          \shiftDurations #0 #0 {  \clef bass \benedictusBaxo }

        }
      }
      \new Lyrics \lyricsto BassOne {  \benedictusBaxoWords }

      
    >>
  }
  \layout {
    \context {
      \Voice
      \remove "Note_heads_engraver"
      \consists "Completion_heads_engraver"
      \remove "Rest_engraver"
      \consists "Completion_rest_engraver"

    }
  }
  \midi {
    \tempo 2=76
  }
}

