%-*- master: Kyrie-ChoirBook.ly;

\include "shorthands.ily"

kyrieAGlobal = {
  \hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  \key f \major
  
  %force C time signature for mensural
  \tag #'mens {\set Staff.timeSignatureFraction = #'(4 . 4)}
  %but use modern time sig for modern edition
  \time 2/1
}

kyrieATipleOne = \relative c'' {
  \kyrieAGlobal
  \breveRest f1. e2 d1 c2 c d d2. c4 bes2 c c2. \m bes4 a g f2 f'2. e4 \mE d1 c2 \origBreak
  c1 r1 \menRest d2 d f e4 d c2. \m bes4 a2 f' e d4 c \mE d2 \m e \mE f1 \menRest d2 f e d4 \m c \mE \origBreak
  \tag #'mod {\once \override Score.TimeSignature.break-visibility = #all-invisible \time 3/1}
  d2 c c\breve
  \finalis
}

kyrieATipleOneWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, \italicize Ky -- _ ri -- e e -- lei _ -- 
  son, \normal Ky -- ri -- e _ e -- lei -- son, Ky -- ri -- e
  e -- lei -- son.
}

kyrieATenor = \relative c' {
  \kyrieAGlobal
  \longaRest \breveRest \menRest e2
  f2. e4 d2 c2. bes4 a2 f4 \m g a bes c2 \mE f, f2. \m g4 a bes c2. d4 \origBreak
  e4 f \mE g2. \m f4 d1 g2 \mE c,1 r1 r2 d1 c2. bes4 a2. \m bes4 c d e f \mE g1 \m g,2 \mE c\breve
  \finalis
}

kyrieATenorWords = \lyricmode {
  Ky -- rie e -- lei -- _ son, \italicize Ky -- rie e -- 
  lei -- son, \normal Ky -- ri -- e e -- lei -- son.
}

kyrieABaxoOne = \relative c {
  \kyrieAGlobal
  f1. e2 d1 c f2 d f a2. g4 f2 bes2. \m a4 g f e \mE d8 e f1 r2 a2. g4 \origBreak
  f \m e d1 \mE r2 c2. \m d4 e f g2. \mE f4 d2 \m e f2. g4 a2 \mE f c g'1 \m e2 \mE d2. \m e4 \origBreak
  f g a f \mE c'2 \m bes4 a \mE bes2 \m c \mE a\breve
  \finalis
}

kyrieABaxoOneWords = \lyricmode {
  Ky -- ri -- e e -- lei _ -- son, \italicize Ky -- ri -- e e -- lei _ -- son, \normal Ky -- ri
  e Ky -- rie e -- lei -- son, Ky -- rie
  e -- lei -- son.
}

kyrieATipleTwo = \relative c' {
  \kyrieAGlobal
  \longaRest
  \semibreveRest
  f\breve g a \[ a \m \flexa g \] \[ bes a \] g a \mE g f  
  \finalis
}

kyrieATipleTwoWords = \lyricmode { Ky -- ri -- e e -- lei -- son. }

kyrieAAlto = \relative c' {
  \kyrieAGlobal
  f1. g2 a1. g2 \m f2. g4 a bes c2. bes4 \mE a2 bes1 \menRest g2 g f4 \m g a bes \mE c2 c \m \origBreak
  d a1 f2 \mE e1. \m e2 \mE d1 r2 g2 a2. bes4 c \m bes \mE a g8 f g1 r2 g2 f2. g4 \origBreak
  a2. \m f4 g a bes c \mE bes2. g4 a\breve
  \finalis
}

kyrieAAltoWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, Ky -- ri -- e e -- 
  lei -- son, Ky -- ri -- _ e e -- lei -- _ son, Ky -- ri -- e
  e -- lei -- _ son.
}

kyrieABaxoTwo = \relative c {
  \kyrieAGlobal
  \breveRest f1. g2 a a2. \m g4 f e d1 g2 \mE g c,1 r2 a'2. \m g4 f e d2 \origBreak
  \mE d2. \m e4 \mE f2 c c g'1 \restFlip r2 a2 c bes4 \m a bes2 \mE c \m f,2. e4 d2 f \origBreak
  c g'1 \mE e2 f\breve
  \finalis
}

kyrieABaxoTwoWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, Ky -- ri -- e e -- lei -- son, Ky -- ri -- e e -- lei -- son.
}

christeGlobal = {
  %\hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major
  
  \bar ""
  \set Score.currentBarNumber = #14

   %force C time signature for mensural
  \tag #'mens {\set Staff.timeSignatureFraction = #'(4 . 4)}
  %but use modern time sig for modern edition
  \time 2/1
}

christeTiple = \relative c'' { << { \newSection } {
  \christeGlobal
  \set Staff.shortInstrumentName = "S"
  \breveRest \menRest d2 f1 e2 f \m  c4 d e2 d \mE f f, g1 \[ a \m g \mE \] f1 e 
   \override Score.FootnoteItem.annotation-line = ##f
   \footnote "*)" #'(0 . 3) "*) F in manuscript. See Critical Notes."
  g r2 c d1 e \m \origBreak
  \[ d c1. \] \mE b2 c\breve \menRest d2 d1 c2 d e f1 \restFlip c1 d \[ e \m d \] c1 \mE \ficta b c2 c1 bes2 \origBreak
  a1 g2 g a a bes1 c bes a r2 c1 d2 e1 \m \[ d c1. \] \mE \ficta b2 c c1 a2 bes1 \m c\breve \mE d1. c2 d c2. \m d4 \mE e2 \m f \origBreak
  e2. d4 d2. c4 \mE c1 \m b2 \mE c\breve
  \finalis } >>

}
christeTipleWords = \lyricmode {
  Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, \italicize Chri -- ste e --
  lei -- son, \normal Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, \italicize Chri -- ste
  e -- _ lei -- son, \normal Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, \italicize Chri -- ste e -- lei -- son, \normal Chri -- ste e --
  lei -- son.
}

christeTenor = \relative c { << { \newSection } {
  \christeGlobal
  \set Staff.shortInstrumentName = "T"
  \breveRest f1 g \[ a \m g \] \mE f \m e \mE f \menRest f2 g a2. \m bes4 \mE c2 \m c d1 e2 c1 \mE b2 c1 bes2 a \origBreak
  g a g g'1 g2 a1. \m g2 f1 \mE bes,2 \m c \mE d1 r2 a'1 g2 f1 \m e f2 d c c1 \mE \ficta b2 c1 \origBreak
  \restFlip c1. bes4 \m c \mE d1 \m e c2 d e \mE f \m c2 \mE c1. \longaRest r2 f1 e2 \[ f1 \m g \] \[ a g \] \mE f1 \m e \mE f2 a1 \m g2 \mE f g \m a a \mE g\breve g
  \finalis }  >>
}
christeTenorWords = \lyricmode {
  Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, \italicize Chri -- ste 
  e -- lei -- son, \normal Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, 
  Chri -- ste e -- lei -- son,  Chri -- ste e -- lei -- son,  Chri -- ste e -- lei -- son.
}

christeAlto = \relative c' { << { \newSection } {
  \christeGlobal
  \set Staff.shortInstrumentName = "A"
  f1 g a2 b c1 \menRest b2 c1 bes2 c1. \m bes2 a2. bes4 \mE c1. \m a2 \mE g\breve \menRest g2 a2 d, g \m e \origBreak
  g1 fis2 g f4 e e d8 c \mE d2 e1 r2 f g1 \[ a \m g \] f1 \mE e f2 g a a1 \m g2 \origBreak
  bes2 bes1 a4 g \mE f2 f e2. c4 d2 d a a'1 g2 f1. e2 f1 \restFlip r2 f2 g1 \[ a \m g \] f1 \mE e \m f2 \mE f g1 a \semibreveRest r2 c,2. \m d4 \origBreak
  e4 d8 e f4 g \mE a2 a1 \menRest g2 f1 g2 a \m g f1. e2 \mE d1 e\breve
  \finalis } >>
}
christeAltoWords = \lyricmode {
  Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son, Chri -- ste e --
  lei -- son, Chri -- ste e -- lei -- son, Chri -- ste e
  lei -- son, \italicize Chri -- ste e -- lei -- son, \normal Chri -- ste e -- lei -- son, Chri -- ste e lei -- son, Chri -- ste e 
  lei -- son, Chri -- ste e -- lei -- son.
}

christeBaxo = \relative c { << { \newSection } {
  \christeGlobal
  \set Staff.shortInstrumentName = "B"
  r2 f1 e2 f \m d \mE c1 f2 f g1 \[ a \m g \mE \] f1 \m e \mE f \menRest a2 c1 b2 c2 a \origBreak
  g1 c,2 c d1 \m e2 f \mE g1 c, \longaRest r2 d1 cis2 d \m e2 f1 \[ c bes \] \mE c \m d \mE \origBreak
  a2 a'1 g2 \[ f1 \m e \] f1 \mE g \m f2 \mE f g1 \[ a1 \m g \] \mE f e f \menRest d2 c1 b2 c1 \m d \mE c f r2 g1 f2 \[ e1 \m d \] \mE a'1 \origBreak
  d,2 f1 c2 f \m c f1 \mE g\breve c,\breve
  \finalis } >>
}
christeBaxoWords = \lyricmode {
  Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son,  Chri -- ste e -- lei -- 
  son, \italicize Chri -- ste e -- lei -- son, \normal Chri -- ste e -- lei -- 
  son,  Chri -- ste e -- lei -- son, Chri -- ste e -- lei -- son,  \italicize Chri -- ste e -- lei -- son, \normal Chri -- ste e -- lei -- 
  son, Chri -- ste e -- lei -- son.
}

christeRests = {s1*64}

kyrieBGlobal = {
  %\hide Staff.BarLine
  \set Score.tempoHideNote = ##t
  %hide Time signature and Key signature at line break
  \once \override Score.TimeSignature.break-visibility = #end-of-line-invisible
  \once \set Staff.explicitKeySignatureVisibility = #end-of-line-invisible
  \key f \major

  \bar ""
  \set Score.currentBarNumber = #46

   %force C time signature for mensural
  \tag #'mens {\set Staff.timeSignatureFraction = #'(4 . 4)}
  %but use modern time sig for modern edition
  \time 2/1
}

kyrieBTipleOne = \relative c'' { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "S1"
  r1 c1 e2 g f \m e1 d2 c c1 \mE bes2 a d d1 d2 \m  e g d f g1 a \mE g2 f1 \origBreak 
  \menRest d1 \menRest f2 g2 g g2. \m f8 e \mE d2 e1 \breveRest r2 a,2 c d e1 d e2 c d f \m e d f1 e2 \origBreak
  d2. c4 c1 \mE \ficta b2 c1 \longaRest \semibreveRest \menRest d2 d2 f f \m g f \mE e1 d2 g1 f2 g g f f e1 d c \m bes2. a4 g2 \mE g a\breve 
  \lastFinalis } >>
}
kyrieBTipleOneWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, Ky -- rie e -- lei -- son,
  Ky -- rie e -- lei -- son, Ky -- rie e -- lei -- son, Ky -- ri -- e e -- 
  lei -- son, Ky -- rie e -- lei -- son, \italicize Ky -- rie e -- lei -- son, \normal Ky -- ri -- e e -- lei -- son.

}

kyrieBTenor = \relative c' { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "T"
  \menRest a2 f1 a2 c c \m d c1 b2 c4 d e f g2 d \mE c \m d \mE d1 \tag #'mens { \longaRest } \tag #'mod { r1 R\breve r1} r2 c2 c1. e2 \[ e1 \m g \] \mE \origBreak
  g1 g \breveRest \semibreveRest \menRest e2 g2 g g2. \m f8 e \mE g2 g1 r2 d2 e f1 f2 g g,4 a bes2 c d1 c2 c d f \origBreak
  e2 \m d f e2. d4 c1 \mE bes2 c bes a f c' c c1 \menRest e2 g2 g c, c c c c2. \m d4 e2 \mE c d2 \menRest a2 c a bes g c a\breve
  \lastFinalis } >>
}
kyrieBTenorWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, Ky -- ri -- e e --
  lei -- son, \italicize Ky -- rie e -- lei -- son, \normal Ky -- rie e -- lei -- son, \italicize Ky -- ri -- e e -- lei -- son, \normal Ky -- ri -- e
  e -- lei -- son, \italicize Ky -- ri -- e e -- lei son, Ky -- ri -- e e -- lei -- son, e -- lei -- son \normal Ky -- ri -- e e -- lei -- son.
}

kyrieBBaxoOne = \relative c { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "B1"
  \longaRest \longaRest \semibreveRest r2 c2 e g f e1 \m d2 \mE c1 f2 f a1. \m c2 \mE b \m c \mE g1 c,2 c \origBreak
  bes2 d c \m g' \mE d1 \restFlip r2 g2 bes bes \m c bes1 f2 c' bes4 a \mE g\breve c,1 \longaRest \semibreveRest r2 g'2 \origBreak
  f d \m e f c4 d e f g1 \mE c,\breve f2 f c1 f2 \m d es c d bes \mE c1 f\breve 
  \lastFinalis } >>
}
kyrieBBaxoOneWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, \italicize Ky -- rie e -- lei -- son, \normal Ky -- ri --
  e e -- lei -- son, Ky -- rie e -- lei -- son, Ky --
  rie e -- lei -- son, \italicize Ky -- rie e -- lei -- son. \normal

}

kyrieBTipleTwo = \relative c'' { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "S2"
  \longaRest \longaRest \longaRest \breveRest \menRest d2 f,1 a2 c c \m d c1 \mE b2 c2 c d f e \m d f1 e2 d2. c4 c1 \mE \origBreak
  b2 c c \m bes2. \mE a4 g2 bes1 \m a2 g1 \mE g\breve g2 g' f d e \m f c4 d e f g2. f4 e2 d \mE \origBreak
  e2 \m d \mE a1 r2 c4 \m d e f \mE g1 d2 c\breve c1 \menRest d2 g2 f1 \m \[ es1 d \] \mE c2 c c\breve
  \lastFinalis } >>
}
kyrieBTipleTwoWords = \lyricmode {
  Ky -- ri -- e e -- lei son, Ky -- ri -- e e -- 
  lei -- son, \italicize Ky -- ri -- e e -- lei -- son, \normal Ky -- ri -- e  e --
  lei -- son, Ky -- rie e -- lei -- son, Ky -- rie e -- lei -- son.

}

kyrieBAlto = \relative c' { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "A"
  f1 a2 c c2. \m bes4 a1 \mE g e2 g2. a4 bes2 c bes a1 bes2 c2. \m bes4 \mE bes2. \m a4 g2. f4 \mE f1 \m e2 \mE f2 a1 \origBreak
  c2. \m bes8 a \mE g2. \m f4 e d8 c d2 \mE d c1 \menRest g'2 a2 \m c \mE bes a1 a2 \m d, g c, \mE d1 c f2 \m g1 \mE d c d e2. \m f4 \origBreak
  g2 \mE e1 \breveRest \menRest g2 c \m bes2. \mE a4 g2 g2. \m a4 bes2 c \mE d c a c g4 \m a bes a g f e2 \mE f1 \m e2 \mE f f g1 \m \[ a g \] \mE f1. e2 f\breve
  \lastFinalis } >>

}
kyrieBAltoWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, \italicize Ky -- ri -- e e -- lei -- son, \normal Ky -- rie e -- lei -- son, Ky --
  rie e -- lei -- son, Ky -- ri -- e e -- lei -- son, \italicize Ky -- ri -- e e -- lei -- 
  son, \normal Ky -- ri -- e e -- lei -- son, \italicize Ky -- rie e -- lei -- son, \normal Ky -- rie e -- lei -- son.
}

kyrieBBaxoTwo = \relative c { << { \newSection } {
  \kyrieBGlobal
  \set Staff.shortInstrumentName = "B2"
  \longaRest \semibreveRest r2 c2 e g a g1 \m fis2 \mE g1 \menRest a2 g2 c1. \m a2 \mE c c a1 \semibreveRest r2 c,2 g' c, g'1 e \origBreak
  \breveRest r2 f2 a bes c1 \m g \mE c, \tag #'mens {\longaRest \breveRest} \tag #'mod {r1 \longaRest r1 } r2 g'2 bes bes c \m bes a1 g2 c, \mE g'1 c,2 g' \origBreak
  a2 a g a g g2. \m a4 bes2 c \mE a \m g1 a2 \mE a c2. bes4 a2 f \m g es f bes2. a4 \mE g2 f\breve 
  \lastFinalis } >>

}
kyrieBBaxoTwoWords = \lyricmode {
  Ky -- ri -- e e -- lei -- son, \italicize Ky -- rie e -- lei son, Ky -- rie e -- lei -- son,
  Ky -- rie e -- lei -- son, \normal Ky -- ri -- e e -- lei -- son, \italicize Ky --
  ri -- e e -- lei -- son, e -- lei -- son, \normal Ky -- ri -- e e -- lei -- son.
}