\version "2.19.81"

taglineLink = "http://bdh.bne.es/bnesearch/detalle/bdh0000004935"

\header {
  fancyTitle = \markup { \fontsize #+5 \override #'(font-name . "Oldstyle Small Caps") "Missa Pange lingua"}
  title = "Missa Pange lingua"
  composer = "Francisco López Capillas"
  composerLast = "López Capillas"
  composerDates = "(c.1608–1674)"
  copyright = "2018"
  taglineA = \markup { \concat {"Source: " \italic "[Misas y Magnificat] Francisco López" ", Manuscript 2428." } }
}


incipitOverrides = {
  \override Staff.Clef.font-family = #'emmentaler
  \override Staff.TimeSignature.font-family = #'emmentaler
  \override Staff.KeySignature.font-family = #'emmentaler
  \override Staff.NoteHead.font-family = #'emmentaler
  \override Staff.MensuralLigature.font-family = #'emmentaler
  \override Staff.Accidental.font-family = #'emmentaler
  \override Staff.Flag.font-family = #'emmentaler
  \override Staff.Rest.font-family = #'emmentaler
}

removeIncipitOverrides = {
  \revert Clef.font-family
  \revert TimeSignature.font-family
  \revert KeySignature.font-family
  \revert NoteHead.font-family
  \revert MensuralLigature.font-family
  \revert Accidental.font-family
  \revert Flag.font-family
  \revert Rest.font-family
}

\layout {
  \context {
    \Voice
    \consists "Melody_engraver"
    \override Stem #'neutral-direction = #'()
  }
  indent = 1.5\in
  incipit-width = 1.15\in

  %\override Lyrics.LyricHyphen.layer = #4
  \override Lyrics.LyricHyphen.whiteout = #1
  \override Lyrics.LyricHyphen.whiteout-style = #'outline
}

#(set-global-staff-size 17)
\paper {

  #(set-paper-size "letter")

   footnote-separator-markup =  \markup \null

  #(define fonts
     (set-global-fonts
      #:music "mtf-cadence"
      #:brace "mtf-cadence"
      #:roman "Cormorant Garamond"
      #:factor (/ staff-height pt 20)
      ))

  %enable emmantaler to be used for incipit only (see above overrides)
  #(add-music-fonts fonts 'emmentaler "emmentaler" "emmentaler"
     feta-design-size-mapping (/ staff-height pt 20))

  %set spacing to allow for head/footers
  top-system-spacing.minimum-distance = 12
  last-bottom-spacing.minimum-distance = 14

  top-margin = .3\in
  bottom-margin = .3\in
  left-margin = .5\in
  right-margin = .5\in

  bookTitleMarkup = \markup {
    \override #'(baseline-skip . 8)
    \column {
      \fill-line { \fromproperty #'header:dedication }
      \override #'(baseline-skip . 3.5)
      \column {
        \fill-line {
          \huge \larger \larger \bold
          \first-visible {
            \fromproperty #'header:fancyTitle
            \fromproperty #'header:title
          }
        }
      }
      \override #'(baseline-skip . 2.5)
      \column {
        \fill-line {
          {\bold \fromproperty #'header:poet }
          { \large \bold \fromproperty #'header:instrument }
          {\bold \fromproperty #'header:composer }
        }
        \fill-line {
          \fromproperty #'header:poetDates
          \fromproperty #'header:composerDates
        }
      }
    }
  }

  scoreTitleMarkup = \markup {
    \column {
      \on-the-fly \print-all-headers { \bookTitleMarkup \hspace #1 }
      \fill-line {
        \huge \larger \bold \fromproperty #'header:piece
        \fromproperty #'header:opus
      }
    }
  }


  oddHeaderMarkup = \markup {
    \on-the-fly \print-page-number-check-first
    \override #'(baseline-skip . 1)
    \column {
      \fill-line {
        \line {\null}
        \line { \fromproperty #'header:composerLast " - " \fromproperty #'header:title  }
        \line {\fromproperty #'page:page-number-string }
      }
      \draw-hline
    }
  }

  evenHeaderMarkup = \markup {
    \on-the-fly \print-page-number-check-first
    \override #'(baseline-skip . 1)
    \column {
      \fill-line {
        \line {\fromproperty #'page:page-number-string }
        \line { \fromproperty #'header:composerLast " - " \fromproperty #'header:title  }
        \line {\null}
      }
      \draw-hline
    }
  }

  oddFooterMarkup = \markup {
    \override #'(baseline-skip . 2)
    \column {
      \fill-line {
        %% Copyright header field only on first page in each bookpart.
        \on-the-fly #part-first-page
        \override #'(baseline-skip . 2.5)
        \center-column {
          \draw-hline
          \tiny \fill-line {
            { \with-url #"http://jonarnoldmusic.com/editions/" { #(string-append "Edited and engraved by Jon Arnold using Lilypond v. " (lilypond-version) ".")} }
            { \concat {"Copyright © " \fromproperty #'header:copyright " by Jon Arnold, released under the Creative Commons Attribution-ShareAlike 4.0 License.  " \epsfile #X #5 #"by-sa.eps" } }
          }
        }
      }
      \fill-line {
        %% Tagline header field only on last page in the book.
        \on-the-fly #last-page
        \center-column {
          %\override #'(span-factor . 4/5)
          \draw-hline
          %declare taglineLink before including this stylesheet in the file
          %example taglineLink = "http://lilypond.org"
          \with-url #taglineLink {
            \tiny { \fromproperty #'header:taglineA \fromproperty #'header:taglineB }
          }
        }
      }
    }
  }

  %% As long as evenFooterMarkup is unset, it inherits the value of
  %% oddFooterMarkup, as if this were declared here:
  % evenFooterMarkup = \oddFooterMarkup

}