\version "2.19.80"

menRest = #(define-music-function (note)
             (ly:music?)
             #{
               \tag #'mens $(make-music 'RestEvent note)
               \tag #'mod $(make-music 'RestEvent note 'pitch '())
             #})

MensStyle = {
  \autoBeamOff
  \override NoteHead.style = #'petrucci
  \override Score.BarNumber.transparent = ##t
  \override Stem.neutral-direction = #up
}

finalisMarkup = {
  \once \override BreathingSign.stencil = #ly:breathing-sign::finalis
  \once \override BreathingSign.Y-offset = #0
  \once \override BreathingSign.minimum-X-extent = #'(-1.0 . 0.0)
  \once \override BreathingSign.minimum-Y-extent = #'(-2.5 . 2.5)

  \breathe
}

finalis = {
  \tag #'mens { \finalisMarkup }
  \tag #'mod {
    % the final bar line is not interrupted
    \undo \hide Staff.BarLine
    \bar "||"
  }
}

lastFinalis = {
  \tag #'mens { \finalisMarkup }
  \tag #'mod {
    % the final bar line is not interrupted
    \undo \hide Staff.BarLine
    \bar "|."
  }
}

breveRest = {
  \tag #'mens {r\breve} \tag #'mod {R\breve}
}

longaRest = {
  \tag #'mens {r\longa} \tag #'mod {R\longa}
}

semibreveRest = {
  %\tag #'mens {r1} \tag #'mod {R1}
  r1
}

restFlip = {
  \tag #'mens { r\breve r1 } 
  \tag #'mod { r1 R\breve }
}

restSplit = {
  \tag #'mens {\breveRest r2} 
  \tag #'mod {r1 r1 r2}
}

flexa = { \override NoteHead.ligature-flexa = ##t }

ficta = { \once \set suggestAccidentals = ##t }

m = { \melisma }
mE = { \melismaEnd }

origBreak = {
  \tag #'mens { \bar "" \break }
}

resetInstrumentName = { \set Staff.shortInstrumentName = ""}

%used in sectional movements to enable to enable previous section to end with barline 
%    and to only display shortInstrumentName for one line in upcoming section
newSection = {
  s4 
  \resetInstrumentName
  \hide Staff.BarLine
}

italicize = {  \override Lyrics.LyricText.font-shape = #'italic }
normal = { \revert Lyrics.LyricText.font-shape }

%{  %for enabling white ligatures as in alto kyrie: http://lilypond.org/doc/v2.19/Documentation/notation/typesetting-mensural-music#white-mensural-ligatures
  \layout {
    \context {
      \Voice
      \remove "Ligature_bracket_engraver"
      \consists "Mensural_ligature_engraver"

    }%}